add_library(RegEdit STATIC
    RegEdit.c
)

target_include_directories(RegEdit PUBLIC
    ${CMAKE_CURRENT_LIST_DIR}
)


if(NOT UNIT_TESTING)
    target_include_directories(RegEdit PUBLIC
        ${CMAKE_CURRENT_LIST_DIR}
        ${CMAKE_SOURCE_DIR}/inc/
    )
    #target_link_libraries(RegEdit
    #    
    #)
else()
    target_include_directories(RegEdit PUBLIC
        ${CMAKE_CURRENT_LIST_DIR}
        #First we include any module specific test dependencies.
        ${CMAKE_SOURCE_DIR}/tests/RegEdit/mocks/
        ${CMAKE_SOURCE_DIR}/tests/RegEdit/fakes/
        ${CMAKE_SOURCE_DIR}/tests/RegEdit/stubs/
        #Next comes the shared and non-module specific test depencencies.
        ${CMAKE_SOURCE_DIR}/tests/shared/mocks/
        ${CMAKE_SOURCE_DIR}/tests/shared/fakes/
        ${CMAKE_SOURCE_DIR}/tests/shared/stubs/
        #Finally we include the local stuff, which has likely been overridden.
        ${CMAKE_CURRENT_SOURCE_DIR}
    )
    #Place Mocked/Regular dependencies here for unit testing.
    #target_link_libraries(RegEdit
    # 
    #)
endif()
